coda {ptw} | R Documentation

## Chromatogram selection using the CODA algorithm

### Description

The CODA algorithm calculates a so-called MCQ (Mass Chromatogram Quality) value for every row of the input. High MCQ values correspond with those chromatograms not containing spikes and/or a baseline.

### Usage

    coda(x, window = 5, smoothing = c("median", "mean"))

### Arguments

`x` | data matrix containing chromatograms in the rows
`window` | width of the smoothing window
`smoothing` | type of smoothing: whether to use running means or running medians

### Details

The MCQ value of a spectrum is the inner product between the standardized, smoothed chromatogram, and the length-scaled chromatogram. In literature, a cut-off of 0.85 has been reported to work well in selecting useful chromatograms, although this is strongly data-set dependent.

### References

Windig, W., Phalp, J., Payna, A. (1996) "A noise and background reduction method for component detection in liquid chromatography/mass spectrometry", Analytical Chemistry, 68, 3602 – 3606.

### Examples

    data(gaschrom)
    coda(gaschrom)

[Package ptw version 1.9-13 Index]